diff -ur usbmount-0.0.14.1/usbmount usbmount-0.0.14.1-patched/usbmount
--- usbmount-0.0.14.1/usbmount	2007-01-27 05:22:14.000000000 -0600
+++ usbmount-0.0.14.1-patched/usbmount	2007-03-15 07:25:18.000000000 -0500
@@ -20,7 +20,7 @@
 log()
 {
     if test $1 != debug || expr "$VERBOSE" : "[yY]" > /dev/null; then
-	logger -p user.$1 -t "usbmount[$$]" -- "$2"
+	echo "usbmount[$$] -- $2" >> $LOGFILE
     fi
 }
 
@@ -57,11 +57,11 @@
 if test "$1" = add; then
 
     # Acquire lock.
-    log debug "trying to acquire lock /var/run/usbmount/.mount.lock"
-    lockfile-create --retry 3 /var/run/usbmount/.mount || \
-	{ log err "cannot acquire lock /var/run/usbmount/.mount.lock"; exit 1; }
-    trap '( lockfile-remove /var/run/usbmount/.mount )' 0
-    log debug "acquired lock /var/run/usbmount/.mount.lock"
+    log debug "trying to acquire lock /var/run/.usbmount.lock"
+    lockfile-create --retry 5 /var/run/.usbmount || \
+	{ log err "cannot acquire lock /var/run/.usbmount.lock"; exit 1; }
+    trap '( lockfile-remove /var/run/.usbmount )' 0
+    log debug "acquired lock /var/run/.usbmount.lock"
 
     # Try to read from the device.  Some devices need a few seconds
     # initialization time before they can be accessed.  Give up after
@@ -184,6 +184,7 @@
 		log info "executing command: run-parts /etc/usbmount/umount.d"
 		run-parts /etc/usbmount/umount.d || :
 	    fi
+	    lockfile-remove /var/run/.usbmount
 	    break
 	fi
     done < /proc/mounts
diff -ur usbmount-0.0.14.1/usbmount.conf usbmount-0.0.14.1-patched/usbmount.conf
--- usbmount-0.0.14.1/usbmount.conf	2005-04-08 09:05:10.000000000 -0500
+++ usbmount-0.0.14.1-patched/usbmount.conf	2007-03-15 07:21:33.000000000 -0500
@@ -17,7 +17,7 @@
 # sure all data is written to the medium before you remove it (e.g. run the #
 # "sync" command in a terminal window).  Otherwise, you *WILL* lose data!   #
 #############################################################################
-FILESYSTEMS="ext2 ext3"
+FILESYSTEMS="ext2 ext3 msdos vfat"
 
 # Mount options: Options passed to the mount command with the -o flag.
 # WARNING!  Removing "sync" from the options is a very bad idea and
@@ -35,3 +35,7 @@
 # If set to "yes", more information will be logged via the syslog
 # facility.
 VERBOSE="no"
+
+# Location of the log file when verbose is Yes
+LOGFILE="/var/log/usbmount.log"
+
